Skip to main content

Update Appointment

PUThttps://api.propexo.com/crm/v1/appointments/:appointment_id

Update an appointment for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

appointment_id string

The Propexo unique identifier for the event

Request​

This endpoint expects an object.

    statusstring

    The status associated with the event

    Show 2 enum values
    NO_SHOWCOMPLETE
    outcome_timestring<date-time>

    The time the appointment outcome occurred. This time should be specified in UTC. Defaults to the current UTC timestamp if omitted.

    unit_idsstring[]

    Optional array of Propexo unit IDs shown during the tour.

    integration_idstringrequired

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /crm/v1/appointments/:appointment_id
curl -X PUT https://api.propexo.com/crm/v1/appointments/:appointment_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}